CookieAttributeHandler (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.cookie.CookieAttributeHandler interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.cookie
Interface CookieAttributeHandler

    public interface CookieAttributeHandler

Ths interface represents a cookie attribute handler responsible for parsing, validating, and matching a specific cookie attribute, such as path, domain, port, etc. Different cookie specifications can provide a specific implementation for this class based on their cookie handling rules.

Since:
  3.1
Author:
  jain.samit@gmail.com (Samit Jain)

Method Summary
`boolean` | `match(Cookie cookie, CookieOrigin origin)` Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
`void` | `parse(Cookie cookie, String value)` Parse the given cookie attribute value and update the corresponding `Cookie` property.
`void` | `validate(Cookie cookie, CookieOrigin origin)` Peforms cookie validation for the given attribute value.

Method Detail

### parse

    void parse(Cookie cookie,
               String value)
               throws MalformedCookieException

  Parse the given cookie attribute value and update the corresponding `Cookie` property.

  Parameters:
    `cookie` - `Cookie` to be updated
    `value` - cookie attribute value from the cookie response header
  Throws:
    `MalformedCookieException`

### validate

    void validate(Cookie cookie,
                  CookieOrigin origin)
                  throws MalformedCookieException

  Peforms cookie validation for the given attribute value.

  Parameters:
    `cookie` - `Cookie` to validate
    `origin` - the cookie source to validate against
  Throws:
    `MalformedCookieException` - if cookie validation fails for this attribute

### match

    boolean match(Cookie cookie,
                  CookieOrigin origin)

  Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.

  Parameters:
    `cookie` - `Cookie` to match
    `origin` - the cookie source to match against
  Returns:
    `true` if the match is successful; `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.